For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • GETList agent branches
        • POSTCreate agent branch
        • GETGet agent branch
        • PATCHUpdate agent branch
        • POSTMerge agent branch
      • POSTCreate agent
      • GETGet agent
      • GETList agents
      • PATCHUpdate agent
      • DELDelete agent
      • POSTDuplicate agent
      • GETGet link
      • POSTSimulate conversation
      • POSTStream simulate conversation
      • POSTCalculate expected LLM usage
      • GETGet agent summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsAgentsBranches

List agent branches

GET
/v1/convai/agents/:agent_id/branches
GET
/v1/convai/agents/:agent_id/branches
$curl https://api.elevenlabs.io/v1/convai/agents/agent_id/branches \
> -H "Content-Type: application/json"
1{
2 "results": [
3 {
4 "id": "branch_9f8d7c6b5a4e3d2c1b0a",
5 "name": "Feature Update",
6 "agent_id": "agent_3701k3ttaq12ewp8b7qv5rfyszkz",
7 "description": "Branch for the new feature rollout",
8 "created_at": 1685000000,
9 "last_committed_at": 1685086400,
10 "is_archived": false,
11 "protection_status": "writer_perms_required",
12 "access_info": {
13 "is_creator": true,
14 "creator_name": "John Doe",
15 "creator_email": "john.doe@example.com",
16 "role": "admin",
17 "access_source": "creator"
18 },
19 "current_live_percentage": 75.5,
20 "parent_branch_id": null,
21 "draft_exists": true
22 }
23 ],
24 "meta": {
25 "total": 1,
26 "page": 1,
27 "page_size": 1
28 }
29}
Returns a list of branches an agent has
Was this page helpful?
Previous

Create agent branch

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.

Headers

xi-api-keystringOptional

Query parameters

include_archivedbooleanOptionalDefaults to false
Whether archived branches should be included
limitintegerOptional<=100Defaults to 100
How many results at most should be returned

Response

Successful Response
resultslist of objects
metaobject

Errors

422
Unprocessable Entity Error